SDatabaseType (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.client

## Enum SDatabaseType

- java.lang.Object
- - java.lang.Enum<SDatabaseType>
  - - com.sleepycat.client.SDatabaseType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SDatabaseType>

      public enum SDatabaseType
      extends java.lang.Enum<SDatabaseType>

  Database types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BTREE` The database is a Btree.
    `HASH` The database is a Hash.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SDatabaseType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SDatabaseType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BTREE

          public static final SDatabaseType BTREE

      The database is a Btree.

    - #### HASH

          public static final SDatabaseType HASH

      The database is a Hash.

  - ### Method Detail

    - #### values

          public static SDatabaseType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SDatabaseType c : SDatabaseType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SDatabaseType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.